Announce: Alternative FPS package

Bulat Ziganshin bulat.ziganshin at
Fri Nov 24 06:45:12 EST 2006

Hello Ketil,

Friday, November 24, 2006, 1:10:43 PM, you wrote:

> FPS was included in 'base' for recent GHCs, which has broken backwards
> compatiblity of .cabal files (since they typically Build-Depends on base and
> fps).

great work. sad that i don't found this solution before you. the only
problem is that it need to be downloaded but it's not worse than with 6.4

is it possible to integrate this with 0.8 sources in order to get
package that will work with any ghc version (6.4, 6.6.0, 6.6.1) and
allow us to write just one cabal file for all ghc versions?

Best regards,
 Bulat                            mailto:Bulat.Ziganshin at

More information about the Libraries mailing list